<div class="container mt-4">
  <div class="card border-primary">
    <div class="card-body" style="text-align: center;">
      <span class="h3 fw-bolder">Listado de Socios</span>
    </div>
  </div>
  <table class="table table-hover mt-2">
    <thead class="table-active   table-striped">
      <tr>
        <th scope="col">Nombre</th>
        <th scope="col">Correo</th>
        <th scope="col">Edad</th>
        <th scope="col">DNI</th>
        <th scope="col">Numero Socio</th>
        <th scope="col">Fecha Socio</th>

        <th scope="col">
          <button mat-raised-button color="primary" routerLink="create-usuario">
            Añadir
          </button>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let usuario of usuarios">
        <td class="align-middle">{{usuario.nombre}}</td>
        <td class="align-middle">{{usuario.correo}}</td>
        <td class="align-middle">{{usuario.edad}}</td>
        <td class="align-middle">{{usuario.dni}}</td>
        <td class="align-middle">{{usuario.numeroSocio}}</td>
        <td class="align-middle">{{usuario.fechaSocio}}</td>
        <td class="align-middle">
          <button (click)="eliminarUsuario(usuario.id)" mat-mini-fab color="warn" style="transform: scale(0.85);"
            aria-label="Example icon button with a delete icon">
            <mat-icon>delete</mat-icon>
          </button>
          <button [routerLink]="['editUsuario/', usuario.id]" mat-mini-fab color="accent"
            style="transform: scale(0.85);" aria-label="Example icon button with a delete icon">
            <mat-icon>edit</mat-icon>
          </button>
        </td>

      </tr>
    </tbody>
  </table>
</div>
